window.Gleam.initSearch([{"doc":"simplejson","title":"simplejson","content":"# simplejson\n\n[![Package Version](https://img.shields.io/hexpm/v/simplejson)](https://hex.pm/packages/simplejson)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/simplejson/)\n\n```sh\ngleam add simplejson@1\n```\n```gleam\nimport simplejson\n\npub fn main() {\n  // TODO: An example of the project in use\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/simplejson&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"simplejson/jsonvalue","title":"JsonValue","content":"pub type JsonValue {\n  JsonString(str: String)\n  JsonNumber(\n    int: Option(Int),\n    float: Option(Float),\n    original: Option(String),\n  )\n  JsonBool(bool: Bool)\n  JsonNull\n  JsonArray(List(JsonValue))\n  JsonObject(Dict(String, JsonValue))\n}\n\nJsonString(str: String)\n\n\nJsonNumber(\n  int: Option(Int),\n  float: Option(Float),\n  original: Option(String),\n)\n\n\nJsonBool(bool: Bool)\n\n\nJsonNull\n\n\nJsonArray(List(JsonValue))\n\n\nJsonObject(Dict(String, JsonValue))\n\n\nSynonyms:\nsimplejson/jsonvalue.JsonValue\nsimplejson/jsonvalue JsonValue","url":"simplejson/jsonvalue.html#JsonValue"},{"doc":"simplejson/jsonvalue","title":"ParseError","content":"pub type ParseError {\n  UnexpectedCharacter(char: String, rest: String, pos: Int)\n  Unknown\n  UnexpectedEnd\n  InvalidEscapeCharacter(char: String, rest: String, pos: Int)\n  InvalidCharacter(char: String, rest: String, pos: Int)\n  InvalidHex(hex: String, rest: String, pos: Int)\n  InvalidNumber(num: String, rest: String, pos: Int)\n}\n\nUnexpectedCharacter(char: String, rest: String, pos: Int)\n\n\nUnknown\n\n\nUnexpectedEnd\n\n\nInvalidEscapeCharacter(char: String, rest: String, pos: Int)\n\n\nInvalidCharacter(char: String, rest: String, pos: Int)\n\n\nInvalidHex(hex: String, rest: String, pos: Int)\n\n\nInvalidNumber(num: String, rest: String, pos: Int)\n\n\nSynonyms:\nsimplejson/jsonvalue.ParseError\nsimplejson/jsonvalue ParseError","url":"simplejson/jsonvalue.html#ParseError"},{"doc":"simplejson/jsonvalue","title":"simplejson/jsonvalue","content":"","url":"simplejson/jsonvalue.html"},{"doc":"simplejson","title":"parse","content":"pub fn parse(json: String) -&gt; Result(JsonValue, ParseError)\n Parse a given string into a JsonValue Result\n Or return Error if unable. This currently returns\n Error(Nil) but will be extended in later versions to\n give more detailed error information\n \n ## Examples\n\n \n parse(&quot;{\\&quot;a\\&quot;:123,\\&quot;b\\&quot;:[true, false]}&quot;)\n // -&gt; Ok(JsonObject(dict.from_list([#(&quot;a&quot;, JsonNumber(Some(123), None, Some(&quot;123&quot;))), #(&quot;b&quot;, JsonArray([JsonBool(True), JsonBool(False)]))])))\n \n \n \n parse(&quot;[1,2,3]&quot;)\n // -&gt; Ok(JsonArray([JsonNumber(Some(1), None, Some(&quot;1&quot;)), JsonNumber(Some(2), None, Some(&quot;2&quot;)), JsonNumber(Some(3), None, Some(&quot;3&quot;))]))\n \n \nSynonyms:\nsimplejson.parse\nsimplejson parse","url":"simplejson.html#parse"},{"doc":"simplejson","title":"to_string","content":"pub fn to_string(json: JsonValue) -&gt; String\n Convert a given JsonValue into a String\n \n ##Example\n \n \n to_string(JsonArray([JsonNumber(Some(1), None, Some(&quot;1&quot;)), JsonNumber(Some(2), None, Some(&quot;2&quot;)), JsonNumber(Some(3), None, Some(&quot;3&quot;))]))\n // -&gt; &quot;[1,2,3]&quot;\n \n \nSynonyms:\nsimplejson.to_string\nsimplejson to_string","url":"simplejson.html#to_string"},{"doc":"simplejson","title":"simplejson","content":" SimpleJSON\n \n Basic JSON library for Gleam","url":"simplejson.html"}]);